TechDraw ProjectionGroup
|
Menu location |
---|
TechDraw → TechDraw Views → Insert Projection Group |
Workbenches |
TechDraw |
Default shortcut |
None |
Introduced in version |
- |
See also |
TechDraw View |
Description
The TechDraw ProjectionGroup tool creates a multiview projection of one or more 3D objects, using the traditional first- or third-angle projection. The isometric views of the 4 front corners can also be included.
introduced in version 1.0: The TechDraw View tool can also create a Projection Group. It is advisable to use that tool instead.
Three orthogonal views and one isometric view of a solid object
Usage
See TechDraw View, but to invoke the tool select the TechDraw → TechDraw Views → Insert Projection Group option from the menu.
Properties
See also: Property editor.
A Projection Group, formally a TechDraw::DrawProjGroup
object, has the properties that are common to all View types. It also has the following additional properties:
Data
Base
- DataSource (
LinkList
): Links to the drawable objects to be depicted. - DataXSource (
XLinkList
): Links to the drawable objects in an external file. - DataAnchor (
Link
): The central view in the group. Normally the Front view. - DataProjectionType (
Enumeration
):First Angle
orThird Angle
.
Collection
- DataViews (
LinkList
): Links to the views in this ProjectionGroup.
Distribute
- DataAuto Distribute (
Bool
): Iftrue
, space out individual views automatically. Usefalse
to position manually. - Dataspacing X (
Length
): Horizontal space between views when automatically positioned. Note that Scale and the size of other views in the group also influence the spacing. - Dataspacing Y (
Length
): Vertical space between views when automatically positioned.
Notes
The ProjectionGroup as a whole inherits X, Y, ScaleType, Scale and Rotation from the basic View.
Individual Views within the group inherit all part view properties, but the ProjectionGroup object controls the scale of all its member Views.
The RotationVector property of individual Views within the group is deprecated as of v0.19. Use XDirection instead.
Note that the central box displays the current projection direction of the primary view. It cannot be used to change the direction.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
A Projection Group can be created with macros and from the Python console by using the following functions:
import FreeCAD as App
doc = App.ActiveDocument
cyl = doc.addObject("Part::Cylinder", "Cylinder")
doc.recompute()
page = doc.addObject("TechDraw::DrawPage", "Page")
template = doc.addObject("TechDraw::DrawSVGTemplate", "Template")
template.Template = App.getResourceDir() + "Mod/TechDraw/Templates/A4_LandscapeTD.svg"
page.Template = template
# Toggle the visibility of the page to ensure its width and height are updated (hack):
page.Visibility = False
page.Visibility = True
group = doc.addObject("TechDraw::DrawProjGroup", "ProjGroup")
page.addView(group)
group.Source = [cyl]
group.ProjectionType = "Third Angle"
front_view = group.addProjection("Front") # First projection will become the Anchor.
group.Anchor.Direction = (0, 1, 0)
group.Anchor.RotationVector = (1, 0, 0)
left_view = group.addProjection("Left")
top_view = group.addProjection("Top")
group.X = page.PageWidth / 2
group.Y = page.PageHeight / 2
doc.recompute()
Note: The Projection Group should always be added to the Page, page.addView(group)
, before adding projections to the Group. This allows the Projection Group to use default parameter values derived from the parent page.
- Pages: Insert Default Page, Insert Page using Template, Update template fields, Redraw Page, Print All Pages, Export Page as SVG, Export Page as DXF
- Views:
- TechDraw views: Insert View, Insert Broken View, Insert Section View, Insert Complex Section View, Insert Detail View, Insert Projection Group, Insert Clip Group, Insert SVG Symbol, Insert Bitmap Image, Share View, Turn View Frames On/Off, Project Shape
- Views from other workbenches: Insert Active View, Insert Draft Workbench Object, Insert BIM Workbench Object, Insert Spreadsheet View
- Stacking: Move view to top of stack, Move view to bottom of stack, Move view up one level, Move view down one level
- Dimensions: Insert Dimension, Insert Length Dimension, Insert Horizontal Dimension, Insert Vertical Dimension, Insert Radius Dimension, Insert Diameter Dimension, Insert Angle Dimension, Insert 3-Point Angle Dimension, Insert Area Annotation, Create Arc Length Dimension, Insert Horizontal Extent Dimension, Insert Vertical Extent Dimension, Create Horizontal Chain Dimensions, Create Vertical Chain Dimensions, Create Oblique Chain Dimensions, Create Horizontal Coordinate Dimensions, Create Vertical Coordinate Dimensions, Create Oblique Coordinate Dimensions, Create Horizontal Chamfer Dimension, Create Vertical Chamfer Dimension, Insert Balloon Annotation, Insert Axonometric Length Dimension, Insert Landmark Dimension, Dimension Repair, Link Dimension to 3D Geometry
- Hatching: Hatch Face using Image File, Apply Geometric Hatch to Face,
- Annotations: Insert Annotation, Add Leaderline to View, Insert Rich Text Annotation, Add Cosmetic Vertex, Add Midpoint Vertices, Add Quadrant Vertices, Add Centerline to Faces, Add Centerline between 2 Lines, Add Centerline between 2 Points, Add Cosmetic Line Through 2 points, Add Cosmetic Circle, Change Appearance of Lines, Show/Hide Invisible Edges, Add Welding Information to Leader, Add Surface Finish Symbol, Add Hole or Shaft Tolerances
- Extensions:
- Attributes and modifications: Select Line Attributes, Cascade Spacing and Delta Distance, Change Line Attributes, Extend Line, Shorten Line, Lock/Unlock View, Position Section View, Position Horizontal Chain Dimensions, Position Vertical Chain Dimensions, Position Oblique Chain Dimensions, Cascade Horizontal Dimensions, Cascade Vertical Dimensions, Cascade Oblique Dimensions, Calculate the area of selected faces, Calculate the arc length of selected edges, Customize format label
- Centerlines and threading: Add Circle Centerlines, Add Bolt Circle Centerlines, Add Cosmetic Thread Hole Side View, Add Cosmetic Thread Hole Bottom View, Add Cosmetic Thread Bolt Side View, Add Cosmetic Thread Bolt Bottom View, Add Cosmetic Intersection Vertex(es), Add an offset vertex, Add Cosmetic Circle, Add Cosmetic Arc, Add Cosmetic Circle 3 Points, Add Cosmetic Parallel Line, Add Cosmetic Perpendicular Line
- Dimensions: Insert '⌀' Prefix, Insert '□' Prefix, Insert 'n×' Prefix, Remove Prefix, Increase Decimal Places, Decrease Decimal Places
- Miscellaneous: Remove Cosmetic Object
- Additional: Line Groups, Templates, Hatching, Geometric dimensioning and tolerancing, Preferences

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub